<script setup>
import { useWorkspaceStore } from "@/stores/useWorkspaceStore";
import { onMounted } from "vue";

const workspaceStore = useWorkspaceStore();

onMounted(async () => {
  try {
    if (workspaceStore.workspaceMap.size === 0) {
      await workspaceStore.fetchWorkspaces();
    }

    if (workspaceStore.workspaceMap.size === 0) {
      navigateTo("/first");
    } else {
      workspaceStore.currentWSlug = workspaceStore.workspaceMap.keys().next().value;
      navigateTo(`/${workspaceStore.currentWSlug}`);
    }
  } catch (error) {
    console.error("Error initializing:", error);
  }
});
</script>

<template>
  <div />
</template>
